## lua-logging 1.1.4

=== Makefile ===
# $Id: Makefile,v 1.9 2007/10/29 22:57:43 carregal Exp $

# Default prefix
PREFIX = /usr/local

# System's lua directory (where Lua libraries are installed)
LUA_DIR= $(PREFIX)/share/lua/5.1

LUAS= src/logging/console.lua src/logging/email.lua src/logging/file.lua src/logging/socket.lua src/logging/sql.lua
ROOT_LUAS= src/logging/logging.lua 

build clean:

install:
	mkdir -p $(LUA_DIR)/logging
	cp $(LUAS) $(LUA_DIR)/logging
	cp $(ROOT_LUAS) $(LUA_DIR)

=== debian/changelog ===
lua-logging (1.1.4-4) unstable; urgency=low

  * suorce format 3.0 (quilt)
  * bumped standards-version to 3.9.2, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 22:23:40 +0200

lua-logging (1.1.4-3) unstable; urgency=low

  * changed lua to Lua in package description
  * bumped standards-version to 3.8.2, no changes
  * build-depend on lua5.1-policy-dev >= 22

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 15:56:06 +0200

lua-logging (1.1.4-2) unstable; urgency=low

  * Fixed spelling error (Closes: #489384)
  * Fixed lintian warning about dpatch dependency
  * Fixed section of -dev package (now is libdevel)
  * Removed ancient XS-X-Vcs-* and moved to the new Vcs-*

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 10 Jul 2008 15:55:42 +0200

lua-logging (1.1.4-1) unstable; urgency=low

  * New upstream release, not API change
  * Added Homepage field in control file 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 31 Oct 2007 12:54:50 +0100

lua-logging (1.1.3-2) unstable; urgency=low

  * Fixed FTBFS (missing symlink to the .lua in $PWD) (Closes: #442976)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 18 Sep 2007 09:50:41 +0100

lua-logging (1.1.3-1) unstable; urgency=low

  * Initial release. (Closes: #439085)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 17 Aug 2007 11:58:35 +0200

=== debian/control ===
Source: lua-logging
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: lua5.1-policy-dev (>= 32), cdbs (>= 0.4.23-1.1), debhelper (>= 5)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-logging
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-logging
Homepage: http://www.luaforge.net/projects/lualogging

Package: liblua5.1-logging
Architecture: all
Depends: ${shlibs:Depends}
Recommends: liblua5.1-sql-sqlite2 | liblua5.1-sql-mysql2, liblua5.1-socket2
Description: lualogging library for the Lua language version 5.1
 This package contains the Lua logging facility library, with backends for
 console, file, SQL, mail, socket. SQL and mail/socket support are available
 only installing respectively liblua5.1-sql* and liblua5.1-socket* packages.

Package: liblua5.1-logging-dev
Architecture: all
Section: libdevel
Depends: ${shlibs:Depends}
Description: Documentation files for the lualogging library for the Lua language version 5.1
 This package contains the Lua logging facility library documentation files.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lualogging
#
version=3
http://luaforge.net/frs/?group_id=51 \
	/frs/download.php/\d+/lualogging-([\d\.]*).tar.gz

## lua-logging 1.2.0

=== Makefile ===
# Default prefix
PREFIX = /usr/local

# System's lua directory (where Lua libraries are installed)
LUA_DIR= $(PREFIX)/share/lua/5.1

LUAS= src/logging/console.lua src/logging/email.lua src/logging/file.lua src/logging/rolling_file.lua src/logging/socket.lua src/logging/sql.lua
ROOT_LUAS= src/logging/logging.lua 

build clean:

install:
	mkdir -p $(LUA_DIR)/logging
	cp $(LUAS) $(LUA_DIR)/logging
	cp $(ROOT_LUAS) $(LUA_DIR)

=== debian/changelog ===
lua-logging (1.2.0-1) unstable; urgency=low

  * Packages renamed according to the new Lua policy
  * Copyright format 1.0
  * Switch to dh-lua
  * debian/compat set to 8
  * updated watch file
  * bumped standards-version to 3.9.3, no changes

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Apr 2012 17:59:43 +0200

=== debian/control ===
Source: lua-logging
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8), dh-lua
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-logging
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-logging
Homepage: https://github.com/Neopallium/lualogging

Package: lua-logging
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblua5.1-logging (<< 1.2.0-1~), liblua5.1-logging-dev (<< 1.2.0-1~)
Breaks: liblua5.1-logging (<< 1.2.0-1~), liblua5.1-logging-dev (<< 1.2.0-1~)
Provides: liblua5.1-logging, liblua5.1-logging-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Recommends: lua-sql-sqlite3 | lua-sql-mysql, lua-socket
Description: Logging library for the Lua language
 This package contains the Lua logging facility library, with backends for
 console, file, SQL, mail, socket. SQL and mail/socket support are available
 only installing respectively lua-sql-* and lua-socket packages.
 .
 This package contains the Lua logging facility library documentation files.

Package: liblua5.1-logging
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-logging
Description: Transitional package for lua-logging
 This is a transitional package to ease upgrades to the lua-logging
 package. It can safely be removed.

Package: liblua5.1-logging-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-logging
Description: Transitional package for lua-logging
 This is a transitional package to ease upgrades to the lua-logging
 package. It can safely be removed.

## lua-logging 1.3.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 LUA_DIR= $(PREFIX)/share/lua/5.1
 
 LUAS= src/logging/console.lua src/logging/email.lua src/logging/file.lua src/logging/rolling_file.lua src/logging/socket.lua src/logging/sql.lua
-ROOT_LUAS= src/logging/logging.lua 
+ROOT_LUAS= src/logging.lua 
 
 build clean:

=== debian/changelog ===
lua-logging (1.3.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995512)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 07:00:34 -0300

lua-logging (1.3.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 19:56:31 +0100

lua-logging (1.3.0-1) unstable; urgency=low

  * New upstream release including lua 5.2 support
  * packaging moved to git
  * Removed transitional packages

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Apr 2012 18:02:59 +0200

=== debian/control ===
Source: lua-logging
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8), dh-lua
Standards-Version: 3.9.3
Homepage: https://github.com/Neopallium/lualogging
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-logging.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-logging.git

Package: lua-logging
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Recommends: lua-sql-sqlite3 | lua-sql-mysql, lua-socket
Description: Logging library for the Lua language
 This package contains the Lua logging facility library, with backends for
 console, file, SQL, mail, socket. SQL and mail/socket support are available
 only installing respectively lua-sql-* and lua-socket packages.
 .
 This package contains the Lua logging facility library documentation files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	chmod a-x src/logging/*.lua src/*.lua
	dh_auto_configure

## lua-logging 1.8.2

=== Makefile ===
# Default prefix
PREFIX = /usr/local

# System's lua directory (where Lua libraries are installed)
LUA_DIR= $(PREFIX)/share/lua/5.1

LUAS= src/logging/console.lua src/logging/email.lua src/logging/file.lua src/logging/rolling_file.lua src/logging/socket.lua src/logging/sql.lua src/logging/nginx.lua src/logging/rsyslog.lua src/logging/envconfig.lua
ROOT_LUAS= src/logging.lua

build clean:

install:
	mkdir -p $(LUA_DIR)/logging
	cp $(LUAS) $(LUA_DIR)/logging
	cp $(ROOT_LUAS) $(LUA_DIR)

test:
	cd tests && ./run_tests.sh
	cd tests && LUA_INIT="_G.debug = nil" ./run_tests.sh

lint:
	luacheck .

=== debian/changelog ===
lua-logging (1.8.2-1) unstable; urgency=medium

  * debian/watch: point to new upstream repo
  * New upstream version 1.8.2
  * Lua Team as Maintainer (Closes: #995512)
  * enable support for lua5.3 and lua5.4
  * update docs path
  * rules: remove unnecessary permission fix
  * enable more upstream tests
  * fix privacy-breach-w3c-valid-html on docs

 -- Victor Seva <vseva@debian.org>  Mon, 13 May 2024 15:25:23 +0200

lua-logging (1.3.0-4) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Leonardo Graboski Veiga <leogveiga@gmail.com>  Sun, 18 Jun 2023 08:38:00 -0300

lua-logging (1.3.0-3) experimental; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.6.2.

 -- Leonardo Graboski Veiga <leogveiga@gmail.com>  Sat, 27 May 2023 11:05:19 -0300

=== debian/control ===
Source: lua-logging
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-lua,
Standards-Version: 4.6.2
Homepage: https://github.com/lunarmodules/lualogging
Vcs-Git: https://salsa.debian.org/lua-team/lua-logging.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-logging

Package: lua-logging
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Recommends:
 lua-socket,
 lua-sql-sqlite3 | lua-sql-mysql,
Description: Logging library for the Lua language
 This package contains the Lua logging facility library, with backends for
 console, file, SQL, mail, socket. SQL and mail/socket support are available
 only installing respectively lua-sql-* and lua-socket packages.
 .
 This package contains the Lua logging facility library documentation files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lualogging
#
version=4
https://github.com/lunarmodules/lualogging/tags .*/v?(\d.*)@ARCHIVE_EXT@
